Bug 1466442 - (CVE-2017-9775) CVE-2017-9775 poppler: Stack-buffer overflow in GfxState.cc
CVE-2017-9775 poppler: Stack-buffer overflow in GfxState.cc
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20170621,repor...
: Reopened, Security
Depends On: 1459067 1459068 1483504 1483505
Blocks: 1479824
  Show dependency treegraph
 
Reported: 2017-06-29 11:34 EDT by Andrej Nemec
Modified: 2017-08-31 10:05 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A stack-based buffer overflow was found in the poppler library. An attacker could create a malicious PDF file that would cause applications that use poppler (such as Evince) to crash, or potentially execute arbitrary code when opened.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-31 10:05:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrej Nemec 2017-06-29 11:34:35 EDT
Poppler has a stack-based buffer overflow in GfxState.cc, which allows attackers to cause a denial of service (application crash) via a crafted PDF document.

Upstream issue:

https://bugs.freedesktop.org/show_bug.cgi?id=101540

Upstream patch:

https://cgit.freedesktop.org/poppler/poppler/commit/?id=8f4ff8243a3d599ff2a6c08b1da389e606ba4fc9
Comment 1 Andrej Nemec 2017-06-29 11:39:04 EDT
Created mingw-poppler tracking bugs for this issue:

Affects: fedora-all [bug 1459068]


Created poppler tracking bugs for this issue:

Affects: fedora-all [bug 1459067]
Comment 9 errata-xmlrpc 2017-08-30 10:08:55 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:2551 https://access.redhat.com/errata/RHSA-2017:2551

Note You need to log in before you can comment on or make changes to this bug.